summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_net_registry.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/test_net_registry.sh')
-rwxr-xr-xsource3/script/tests/test_net_registry.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/source3/script/tests/test_net_registry.sh b/source3/script/tests/test_net_registry.sh
index 5edcb061ee..52a78bc339 100755
--- a/source3/script/tests/test_net_registry.sh
+++ b/source3/script/tests/test_net_registry.sh
@@ -13,8 +13,10 @@ else
NETREG="${NET} registry"
fi
+test x"$TEST_FUNCTIONS_SH" != x"INCLUDED" && {
incdir=`dirname $0`
. $incdir/test_functions.sh
+}
failed=0
@@ -361,8 +363,11 @@ take_administrative_rights()
if test "x${RPC}" = "xrpc" ; then
testit "giving user ${USERNAME} administrative rights" \
- give_administrative_rights || \
- failed=`expr $failed + 1`
+ give_administrative_rights
+ if [ "x$?" != "x0" ] ; then
+ failed=`expr $failed + 1`
+ testok $0 $failed
+ fi
fi
testit "enumerate HKLM" \